xf86-video-intel: test/Makefile.am test/mkvsync.sh

Chris Wilson ickle at kemper.freedesktop.org
Sun Jan 20 03:52:54 PST 2013


 test/Makefile.am |    9 ++++++++-
 test/mkvsync.sh  |   27 +++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 1 deletion(-)

New commits:
commit 7822bbacbece6fcb2e12863cd6c7a53ab614c37c
Author: Chris Wilson <chris at chris-wilson.co.uk>
Date:   Sun Jan 20 11:43:49 2013 +0000

    test: Add script to generate source file for testing vsync
    
    Courtesy of an original script by Mark Schreiber,
    https://bugs.freedesktop.org/show_bug.cgi?id=59606

diff --git a/test/Makefile.am b/test/Makefile.am
index 96c87f8..c1dd0e9 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -35,4 +35,11 @@ libtest_la_SOURCES = \
 	dri2.h \
 	$(NULL)
 
-EXTRA_DIST = README
+vsync.avi: mkvsync.sh
+	./mkvsync.sh $@
+
+clean-vsync-avi:
+	rm -rf vsync.avi .build.tmp
+
+EXTRA_DIST = README mkvsync.sh
+clean-local: clean-vsync-avi
diff --git a/test/mkvsync.sh b/test/mkvsync.sh
new file mode 100755
index 0000000..dd96ad8
--- /dev/null
+++ b/test/mkvsync.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+OUT="$1"
+[ -n "$OUT" ] || OUT="vsync.avi"
+
+TMP=".build.tmp"
+
+rm -rf ${TMP}
+mkdir ${TMP}
+convert -size 640x480 -depth 24 canvas:black png24:${TMP}/black.png
+convert -size 640x480 -depth 24 canvas:white png24:${TMP}/white.png
+
+mkdir ${TMP}/anim
+
+for ((a=0; $a < 1000; a=$a+2)); do
+	ln -s ../black.png ${TMP}/anim/$a.png
+done
+
+for ((a=1; $a < 1000; a=$a+2)); do
+	ln -s ../white.png ${TMP}/anim/$a.png
+done
+
+mencoder "mf://${TMP}/anim/*.png" -v -vf-clr -mf fps=60 -o "${OUT}" -ovc lavc
+exitcode=$?
+rm -rf ${TMP}
+
+exit ${exitcode}


More information about the xorg-commit mailing list